<a id="mypy-boto3-mediapackage"></a>

# mypy-boto3-mediapackage

[![PyPI - types-aiobotocore-mediapackage](https://img.shields.io/pypi/v/types-aiobotocore-mediapackage.svg?color=blue)](https://pypi.org/project/types-aiobotocore-mediapackage)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-mediapackage.svg?color=blue)](https://pypi.org/project/types-aiobotocore-mediapackage)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/types-aiobotocore-mediapackage?color=blue)](https://pypistats.org/packages/types-aiobotocore-mediapackage)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[boto3.MediaPackage 1.20.47](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/mediapackage.html#MediaPackage)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 6.4.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[types-aiobotocore-mediapackage docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_mediapackage/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/main/demo.gif)

- [mypy-boto3-mediapackage](#mypy-boto3-mediapackage)
  - [How to install](#how-to-install)
    - [VSCode extension](#vscode-extension)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)

<a id="how-to-install"></a>

## How to install

<a id="vscode-extension"></a>

### VSCode extension

Add
[AWS Boto3](https://marketplace.visualstudio.com/items?itemName=Boto3typed.boto3-ide)
extension to your VSCode and run `AWS boto3: Quick Start` command.

Click `Modify` and select `boto3 common` and `MediaPackage`.

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore` for `MediaPackage` service.

```bash
python -m pip install types-aiobotocore[mediapackage]
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore[mediapackage]` in your environment:
  `python -m pip install 'types-aiobotocore[mediapackage]'`

Both type checking and auto-complete should work for `MediaPackage` service. No
explicit type annotations required, write your `boto3` code as usual.

<a id="pycharm"></a>

### PyCharm

- Install `types-aiobotocore[mediapackage]` in your environment:
  `python -m pip install 'types-aiobotocore[mediapackage]'`

Both type checking and auto-complete should work for `MediaPackage` service. No
explicit type annotations required, write your `aiobotocore` code as usual.
Auto-complete can be slow on big projects or if you have a lot of installed
`types-aiobotocore` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore[mediapackage]` in your environment:
  `python -m pip install 'types-aiobotocore[mediapackage]'`
- Run `mypy` as usual

Type checking should work for `MediaPackage` service. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `types-aiobotocore[mediapackage]` in your environment:
  `python -m pip install 'types-aiobotocore[mediapackage]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `MediaPackage` service. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`MediaPackageClient` provides annotations for
`session.create_client("mediapackage")`.

```python
from aiobotocore.session import get_session

from types_aiobotocore_mediapackage import MediaPackageClient

session = get_session()
with async session.create_client("mediapackage") as client:
    client: MediaPackageClient
    # now client usage is checked by mypy and IDE should provide code auto-complete
```

<a id="paginators-annotations"></a>

### Paginators annotations

`types_aiobotocore_mediapackage.paginator` module contains type annotations for
all paginators.

````python
from aiobotocore.session import get_session

from types_aiobotocore_mediapackage import MediaPackageClient
from types_aiobotocore_mediapackage.paginator import (
    ListChannelsPaginator,
    ListHarvestJobsPaginator,
    ListOriginEndpointsPaginator,
)

session = get_session()
with async session.create_client("mediapackage") as client:
    client: MediaPackageClient

    # Explicit type annotations are optional here
    # Type should be correctly discovered by mypy and IDEs
    # VSCode requires explicit type annotations
        list_channels_paginator: ListChannelsPaginator = client.get_paginator("list_channels")
        list_harvest_jobs_paginator: ListHarvestJobsPaginator = client.get_paginator("list_harvest_jobs")
        list_origin_endpoints_paginator: ListOriginEndpointsPaginator = client.get_paginator("list_origin_endpoints")
    ```







### Literals

`types_aiobotocore_mediapackage.literals` module contains literals extracted from shapes
that can be used in user code for type checking.

```python
from types_aiobotocore_mediapackage.literals import (
    AdMarkersType,
    AdTriggersElementType,
    AdsOnDeliveryRestrictionsType,
    EncryptionMethodType,
    ListChannelsPaginatorName,
    ListHarvestJobsPaginatorName,
    ListOriginEndpointsPaginatorName,
    ManifestLayoutType,
    OriginationType,
    PeriodTriggersElementType,
    PlaylistTypeType,
    PresetSpeke20AudioType,
    PresetSpeke20VideoType,
    ProfileType,
    SegmentTemplateFormatType,
    StatusType,
    StreamOrderType,
    UtcTimingType,
    ServiceName,
    PaginatorName,
)

def check_value(value: AdMarkersType) -> bool:
    ...
````

### Typed dictionaries

`types_aiobotocore_mediapackage.type_defs` module contains structures and
shapes assembled to typed dictionaries for additional type checking.

```python
from types_aiobotocore_mediapackage.type_defs import (
    AuthorizationTypeDef,
    ChannelTypeDef,
    CmafEncryptionTypeDef,
    CmafPackageCreateOrUpdateParametersTypeDef,
    CmafPackageTypeDef,
    ConfigureLogsRequestRequestTypeDef,
    ConfigureLogsResponseTypeDef,
    CreateChannelRequestRequestTypeDef,
    CreateChannelResponseTypeDef,
    CreateHarvestJobRequestRequestTypeDef,
    CreateHarvestJobResponseTypeDef,
    CreateOriginEndpointRequestRequestTypeDef,
    CreateOriginEndpointResponseTypeDef,
    DashEncryptionTypeDef,
    DashPackageTypeDef,
    DeleteChannelRequestRequestTypeDef,
    DeleteOriginEndpointRequestRequestTypeDef,
    DescribeChannelRequestRequestTypeDef,
    DescribeChannelResponseTypeDef,
    DescribeHarvestJobRequestRequestTypeDef,
    DescribeHarvestJobResponseTypeDef,
    DescribeOriginEndpointRequestRequestTypeDef,
    DescribeOriginEndpointResponseTypeDef,
    EgressAccessLogsTypeDef,
    EncryptionContractConfigurationTypeDef,
    HarvestJobTypeDef,
    HlsEncryptionTypeDef,
    HlsIngestTypeDef,
    HlsManifestCreateOrUpdateParametersTypeDef,
    HlsManifestTypeDef,
    HlsPackageTypeDef,
    IngestEndpointTypeDef,
    IngressAccessLogsTypeDef,
    ListChannelsRequestRequestTypeDef,
    ListChannelsResponseTypeDef,
    ListHarvestJobsRequestRequestTypeDef,
    ListHarvestJobsResponseTypeDef,
    ListOriginEndpointsRequestRequestTypeDef,
    ListOriginEndpointsResponseTypeDef,
    ListTagsForResourceRequestRequestTypeDef,
    ListTagsForResourceResponseTypeDef,
    MssEncryptionTypeDef,
    MssPackageTypeDef,
    OriginEndpointTypeDef,
    PaginatorConfigTypeDef,
    ResponseMetadataTypeDef,
    RotateChannelCredentialsRequestRequestTypeDef,
    RotateChannelCredentialsResponseTypeDef,
    RotateIngestEndpointCredentialsRequestRequestTypeDef,
    RotateIngestEndpointCredentialsResponseTypeDef,
    S3DestinationTypeDef,
    SpekeKeyProviderTypeDef,
    StreamSelectionTypeDef,
    TagResourceRequestRequestTypeDef,
    UntagResourceRequestRequestTypeDef,
    UpdateChannelRequestRequestTypeDef,
    UpdateChannelResponseTypeDef,
    UpdateOriginEndpointRequestRequestTypeDef,
    UpdateOriginEndpointResponseTypeDef,
)

def get_structure() -> AuthorizationTypeDef:
    return {
      ...
    }
```

## Versioning

`types-aiobotocore-mediapackage` version is the same as related `boto3` version
and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

## Documentation

All type annotations can be found in
[types-aiobotocore-mediapackage docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_mediapackage/)

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
